View Issue Details

IDProjectCategoryView StatusLast Update
0000220ascendcompilerpublic2008-02-10 13:03
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000220: Migrate XXX.fixed := TRUE; to FIX XXX; in ModelLibrary
DescriptionThe models in the [[ModelLibrary]] should all be using the new syntax.

Also 'FREE XXX', as soon as this is implemented.
TagsNo tags attached.

Relationships

Activities

john

2006-02-25 09:12

administrator   ~0000284

Note also that

xxx.fixed := FALSE;

can be switched to

FREE xxx;

as well, now.

john

2006-03-04 08:45

administrator   ~0000287

Last edited: 2006-03-04 08:45

Note also that you can use multiple variables in each FIX and FREE statement, for example:

n IS_A set OF symbol_constant;
n :== ['h','l','m'];
...

FIX T['h','l'], T_ambient;
FIX T['m'];
FREE T['h'], T['l'];

etc.

john

2006-05-10 03:48

administrator   ~0000331

Fixed in changeset 647.

Issue History

Date Modified Username Field Change
2006-02-07 17:18 john New Issue
2006-02-07 17:18 john Target release => 0.9.6
2006-02-23 06:14 john Status new => assigned
2006-02-23 06:14 john Assigned To => krishnan
2006-02-25 09:12 john Note Added: 0000284
2006-03-04 08:45 john Note Added: 0000287
2006-03-04 08:45 john Note Edited: 0000287
2006-03-04 08:45 john Note Edited: 0000287
2006-05-10 03:44 john Assigned To krishnan => john
2006-05-10 03:48 john Status assigned => resolved
2006-05-10 03:48 john Resolution open => fixed
2006-05-10 03:48 john Note Added: 0000331
2006-06-22 07:27 john Fixed in Version => 0.9.6
2008-02-10 13:03 john Status resolved => closed